import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:hmg_flutter_template/config/routes.dart';
import 'package:hmg_flutter_template/main.dart';
import 'package:hmg_flutter_template/provider/dashboard_provider_model.dart';
import 'package:hmg_flutter_template/ui/dashboard/widgets/home_patient_card.dart';
import 'package:hmg_flutter_template/widgets/icons_app/doctor_app_icons.dart';
import 'package:provider/provider.dart';

class DashboardPage extends StatefulWidget {
  @override
  State<DashboardPage> createState() => _DashboardPageState();
}

class _DashboardPageState extends State<DashboardPage> {
  late DashboardProviderModel provider;

  @override
  void initState() {
    super.initState();
    provider = Provider.of<DashboardProviderModel>(navigatorKey.currentContext!);
    provider.getDocProfile();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        actions: [
          IconButton(
            onPressed: () {
              appState.isLogged = false;
              Navigator.pushReplacementNamed(context, AppRoutes.login, arguments: false);
            },
            icon: const Icon(
              Icons.logout,
              color: Colors.white,
            ),
          )
        ],
      ),
      body: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisAlignment: MainAxisAlignment.start,
        children: [],
      ),
    );
  }
}
